Bug 8636 - passwd -u corrupts encrypted password field
Summary: passwd -u corrupts encrypted password field
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: passwd   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-19 22:13 UTC by Dan Hollis
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-17 21:54:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dan Hollis 2000-01-19 22:13:18 UTC
passwd -l locks passwords properly by prepending "!" to the encrypted
password.
however, passwd -u corrupts the encrypted password field. While it removes
the prepended "!" it adds 3 characters of garbage on the end, rendering the
password useless.

Comment 1 Nalin Dahyabhai 2000-02-05 06:04:59 UTC
This appears to be working properly as of passwd-0.63-1 from Red Hat Linux 6.1.
Could you upgrade the passwd package and check to see if you continue having
this problem?

Comment 2 Cristian Gafton 2000-02-17 21:54:59 UTC
fixed in the current devel tree


Note You need to log in before you can comment on or make changes to this bug.